View Issue Details

IDProjectCategoryLast Update
0019899AI War 2[All Projects] Bug - GameplayAug 26, 2018 5:53 pm
ReporterHeartHunter7Assigned ToBadgerBadger 
Severitycrash 
Status resolvedResolutionfixed 
Product Version0.758 Release The Warden 
Fixed in Version0.759-0.760 Only The Start of Discovery 
Summary0019899: Army travel bug.
DescriptionArmyes in my games usually moving not right.
I made a few tests with armyes. And i see logic, that if my army is a small, ships moving is right.
But, if my army has middle-big size, then one of my armyes(ships) will start doing old orders(for other army). In games it seems like army(ships) 3 is repeating order for army(ships) 2 or 1.

I made this situation on the video - https://www.youtube.com/watch?v=9QvomQgJNpg

First save - i m using mouse and buttom "M" for a small army. Ships are moving 100% correctly. https://dropmefiles.com/LNO8x
Second save - i m using mouse and buttom "M" for middle-big army size. 20% ships of second army are doing order for first ships army. https://dropmefiles.com/4BjkV
TagsNo tags attached.
Internal Weight

Activities

BadgerBadger

Aug 21, 2018 2:35 pm

manager   ~0048269

Selecting units with "M" wound up always being additive if you were changing planets.

So selecting units on A, then ordering to B, followed by selecting units on C and ordering to D would wind up ordering everything to D.

Fixed

HeartHunter7

Aug 21, 2018 5:16 pm

reporter   ~0048272

Right now, i can stop this bug, if only i will bind my army with 1,2,3,4,5,6,7,8,9,0 hotkeys and use it.

HeartHunter7

Aug 21, 2018 5:20 pm

reporter   ~0048273

Ok. i will check without M.

HeartHunter7

Aug 25, 2018 4:39 am

reporter   ~0048305

"M" bug is still here.

HeartHunter7

Aug 26, 2018 5:53 pm

reporter   ~0048348

Travel bug without "M" still here, but i undestood logic. Its can be not bug.
If my units selected on system A and then i m using TAB for select units from system B. Units A is additiving to units B and follow orders for other unit.
Thats happing becouse rectangle from LBM is not undesecting units from other planet. I must press LMB on the second planet, if i want unselect units from first planet, and then i can make rectangle from LBM.
Thats not obviously for me, becouse usually in all games, rectangle is unselect units.

Issue History

Date Modified Username Field Change
Aug 12, 2018 8:31 pm HeartHunter7 New Issue
Aug 12, 2018 8:31 pm HeartHunter7 Description Updated View Revisions
Aug 21, 2018 2:35 pm BadgerBadger Assigned To => BadgerBadger
Aug 21, 2018 2:35 pm BadgerBadger Status new => resolved
Aug 21, 2018 2:35 pm BadgerBadger Resolution open => fixed
Aug 21, 2018 2:35 pm BadgerBadger Fixed in Version => 0.759-0.760 Only The Start of Discovery
Aug 21, 2018 2:35 pm BadgerBadger Note Added: 0048269
Aug 21, 2018 5:16 pm HeartHunter7 Note Added: 0048272
Aug 21, 2018 5:20 pm HeartHunter7 Note Added: 0048273
Aug 25, 2018 4:39 am HeartHunter7 Note Added: 0048305
Aug 26, 2018 5:53 pm HeartHunter7 Note Added: 0048348